Twitterparty suggest space in date display for /ar or to look like /he

VERIFIED FIXED

Status

VERIFIED FIXED
8 years ago
6 years ago

People

(Reporter: rbillings, Assigned: linostar)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
Created attachment 520485 [details]
ar date

The date display in the locale /ar  needs a space after the time, before the date, or to display in GMT.

Example:  PM 6:22 ,19/03/11

suggest it be like /he: 15:36 19/03/2011
(Reporter)

Updated

8 years ago
Summary: Twitterparty suggest space in date display for /ar looks like /he → Twitterparty suggest space in date display for /ar or to look like /he
Stas or Gandalf, can the date format for /ar be fixed in the localizer strings? Or does Quodis need to change the code?
Attachment #520485 - Attachment mime type: text/plain → image/png
(In reply to comment #1)
> Stas or Gandalf, can the date format for /ar be fixed in the localizer strings?
> Or does Quodis need to change the code?

No change to the code is needed, the date format is a localizable string.

Linostar, can you advise how the date should be formatted in Arabic?

The relevant string is here:

https://localize.mozilla.org/ar/twitterparty/LC_MESSAGES/messages.po/translate/?unit=852506

And the documentation is http://php.net/manual/en/function.date.php.

Thanks.
(Assignee)

Comment 3

8 years ago
Rebecca: I don't really understand what you mean by 'before' and 'after' in your description. The date and time are sepearated by a space (and a comma) in 'ar'. Besides, using terms like 'before' and 'after' are confusing here since I don't know if you're looking ltr-wise or rtl-wise, so better use 'right' and 'left' ;-)

Returning to the issue in hand, I was expecting that the date/time will appear in an ltr context, that's why I left it in that shape. Now it becomes clear it isn't the case, I should point that both the old formart and the suggested one are incorrect for Arabic (don't know whether it is also true for Hebrew).

The correct format should appear like that:

11:39 2011/03/19

Note that the date is reversed, but not the time no.

'AM' and 'PM' should be localized respectively to 'ص' and 'م'. Not sure if that's a bug or it is related to the OS locale. To be on the safe side, we'll use the 24h format for the time.
Assignee: nobody → linux.anas
Status: NEW → ASSIGNED
(Assignee)

Updated

8 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
(Assignee)

Comment 4

8 years ago
Changes are made to 'ar' according to comment 3 and are sumbitted to VCS.
(Reporter)

Comment 5

8 years ago
Verified date fix on /ar on the quodis site: ex: 11:12 2011/03/21
(Reporter)

Comment 6

8 years ago
Verified on allizom
Status: RESOLVED → VERIFIED
Component: www.mozilla.org/firefox → www.mozilla.org
Product: Websites → Websites
Component: www.mozilla.org → General
Product: Websites → www.mozilla.org
You need to log in before you can comment on or make changes to this bug.